%define module_name Redis-RateLimit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/SHA1.pm) perl(File/Share.pm) perl(File/Slurp/Tiny.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Redis.pm) perl(Test/Fatal.pm) perl(Test/Mock/Time.pm) perl(Test/Pod.pm) perl(Test/Spec.pm) perl(Try/Tiny.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0002
Release: alt1
Summary: Sliding window rate limiting with Redis
Group: Development/Perl
License: mit
URL: https://github.com/semifor/Redis-RateLimit

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MM/MMIMS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Perl library for efficient rate limiting using sliding windows stored in Redis.

This is a port of RateLimit.js without the non-blocking
goodness.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/R*
%perl_vendor_privlib/auto/*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.0002-alt1
- regenerated from template by package builder

* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.0001-alt1
- initial import by package builder

